Skip to content

AirPrice Reference Payload

Request

The AirPrice API confirms pricing on air search results. While air pricing is generally an optional but recommended step, it is required for low cost carriers and some NDC carriers. This API uses a reference payload request, which sends identifiers from the Search API response. To use the AirPrice reference payload request, your initial Search request must send offersPerPage to invoke caching if that Search was journey-based (leg-based search results are always cached).

Security
bearerAuth
Headers
travelportPlusSessionIdentifierstring, [ 0 .. 100 ] characters([a-zA-Z-0-9-_]*)

travelportPlusSessionIdentifier used to maintain an established agency session

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
TraceIdstring, [ 10 .. 89 ] characters

Identifier used to correlate Air API invocations across a multi-call business flows.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
Bodyapplication/jsonrequired
@typestringrequired

Discriminator. No child classes

Example:"OfferQueryBuildFromCatalogProductOfferings"
PaymentCriteriaobject(PaymentCriteria)

Optional object to send the BIN/INN (IssuerIdentificationNumber) of the credit card to be used for payment; sending the BIN returns OB fees in the response
Required when using Air Canada flight pass.

BuildFromCatalogProductOfferingsRequestobject(BuildFromCatalogProductOfferingsRequest)
MaxNumberOfUpsellsToReturninteger, (int32), [ 1 .. 12 ]

NDC only; not supported for GDS.
Supports values from 0 to 99 inclusive. Send to request upsell offers along with pricing for the requested class of service or cabin, returned in ascending price order. An upsell is the next highest fare in a different brand or cabin than requested.

Upsells are returned as follows:

  • If upsells not requested: Only the requested offer is returned.
  • If one upsell requested: The lowest priced offer in the requested class of service or cabin plus one upsell offer are returned.
  • If two or more upsells requested: The lowest priced offer in the requested class of service or cabin plus the requested number of upsell offers are returned.
Example:4
curl -i -X POST \
  https://developer.travelport.com/_mock/apis/flights/air/price/offers/buildfromcatalogproductofferings \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
  -H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
  -d '{
    "@type": "OfferQueryBuildFromCatalogProductOfferings",
    "BuildFromCatalogProductOfferingsRequest": {
      "@type": "BuildFromCatalogProductOfferingsRequestAir",
      "CatalogProductOfferingsIdentifier": {
        "Identifier": {
          "value": "27b2c0df-6d1f-4aaa-addb-d84b8a7727b2"
        }
      },
      "CatalogProductOfferingSelection": [
        {
          "CatalogProductOfferingIdentifier": {
            "Identifier": {
              "value": "QF_CPO0"
            }
          },
          "ProductBrandOfferingIdentifier": {
            "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
            "authority": "TVPT"
          },
          "ProductIdentifier": [
            {
              "Identifier": {
                "value": "QFp26"
              }
            }
          ]
        }
      ],
      "PricingModifiersAir": {
        "@type": "PricingModifiersAir",
        "FareSelection": {
          "@type": "FareSelection"
        },
        "OrganizationInformation": {
          "OrganizationIdentifier": [
            {
              "supplier": "QF",
              "type": "Account",
              "value": "FLX50"
            }
          ]
        }
      }
    }
  }'

Responses

OK - Successful Response - 200

Bodyapplication/json
OfferListResponseobject(OfferListResponse)

The response of an Offer list endpoint request, such as AirPrice and Add Offer calls.
Defines one or more air offers returned including the offer identifiers and related response data needed for subsequent booking steps.

Response
{ "OfferListResponse": { "OfferID": [ {} ], "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "48fb4cd3-2ef6-4479-bea1-7c92721b988c", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [], "Warning": [] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "string", "id": "5", "NextStep": [] }, "ReferenceList": [ {} ], "CurrencyRateConversion": [ {} ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }